com.mxgraph.util.svg

## Class AWTPolygonProducer

- java.lang.Object
- - com.mxgraph.util.svg.AWTPolylineProducer
  - - com.mxgraph.util.svg.AWTPolygonProducer

- All Implemented Interfaces:
    PointsHandler, ShapeProducer

      public class AWTPolygonProducer
      extends AWTPolylineProducer

  This class produces a polygon shape from a reader.

- - ### Field Summary

    - ### Fields inherited from class com.mxgraph.util.svg.AWTPolylineProducer

      `newPath, path, windingRule`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTPolygonProducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Shape` | `createShape(java.lang.String text, int wr)` Utility method for creating an ExtendedGeneralPath.
    `void` | `endPoints()` Implements `PointsHandler.endPoints()`.

    - ### Methods inherited from class com.mxgraph.util.svg.AWTPolylineProducer

      `getShape, getWindingRule, point, setWindingRule, startPoints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTPolygonProducer

          public AWTPolygonProducer()

  - ### Method Detail

    - #### createShape

          public static java.awt.Shape createShape(java.lang.String text,
                                   int wr)
                                            throws ParseException

      Utility method for creating an ExtendedGeneralPath.
      Parameters:
        `text` - The text representation of the path specification.
        `wr` - The winding rule to use for creating the path.
      Throws:
        `ParseException`

    - #### endPoints

          public void endPoints()
                         throws ParseException

      Implements `PointsHandler.endPoints()`.
      Specified by:
        `endPoints` in interface `PointsHandler`
      Overrides:
        `endPoints` in class `AWTPolylineProducer`
      Throws:
        `ParseException` - if an error occured while processing the points

Copyright (c) 2010 Gaudenz Alder. All rights reserved.